import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { Brush } from "igniteui-react-core/ES5/Brush";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-react-core/ES5/type";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { Pool$1 } from "igniteui-react-core/ES5/Pool$1";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { CategoryFrame } from "./CategoryFrame";
import { CategorySeriesView } from "./CategorySeriesView";
import { Rectangle } from "igniteui-react-core/ES5/Rectangle";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
export declare class WaterfallSeries extends HorizontalAnchoredCategorySeries {
    protected bf(): SeriesView;
    ii(a: SeriesView): void;
    p6: WaterfallSeriesView;
    constructor();
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    protected get_cy(): boolean;
    readonly cy: boolean;
    i6(a: Brush, b: Brush): void;
    qh: Brush;
    kx(): Brush;
    p7: number;
    p8: number;
    protected get_nj(): boolean;
    protected readonly nj: boolean;
    protected io(a: any, b: string, c: any, d: any): void;
    de(a: Point, b: boolean): boolean;
    li(a: Point): Rect;
    private qj(a);
    protected m4(): CategoryTransitionInMode;
    hl(a: boolean, b: SeriesView): void;
    eb(): number;
    ob(a: CategoryFrame, b: CategorySeriesView): void;
    qi: Brush;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
    static $t: Type;
}
export declare class WaterfallSeriesView extends AnchoredCategorySeriesView {
    ap(): void;
    protected c4: WaterfallSeries;
    constructor(a: WaterfallSeries);
    de(): Rectangle;
    protected c6: List$1<Rectangle>;
    c7(a: Rectangle): void;
    c9(a: Rectangle): void;
    c8(a: Rectangle): void;
    da(a: Rectangle, b: number, c: number): void;
    protected z(a: number): any;
    private dd;
    protected y(a: number): any;
    protected a3(a: RenderingContext, b: boolean): void;
    c5: Pool$1<Rectangle>;
    ai(a: any): void;
    db(a: number): Rect;
    dc(a: Rectangle): Rect;
    static $t: Type;
}
